net.corda.core.serialization

## Class SerializedBytes<T>

- net.corda.core.serialization.OpaqueBytes
- - net.corda.core.serialization.SerializedBytes<T>

-     public class SerializedBytes<T>
      extends OpaqueBytes

  A type safe wrapper around a byte array that contains a serialised object. You can call SerializedBytes.deserialize to get the original object back.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.core.serialization.OpaqueBytes

      `OpaqueBytes.Companion`

  - ### Field Summary

    - ### Fields inherited from class net.corda.core.serialization.OpaqueBytes

      `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializedBytes(byte[] bytes, boolean internalOnly)` A type safe wrapper around a byte array that contains a serialised object. You can call SerializedBytes.deserialize to get the original object back.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecureHash` | `getHash()`
    `boolean` | `getInternalOnly()`
    `java.nio.file.Path` | `writeToFile(java.nio.file.Path path)`

    - ### Methods inherited from class net.corda.core.serialization.OpaqueBytes

      `equals, getBytes, getSize, hashCode, open, toString`

- - ### Constructor Detail

    - #### SerializedBytes

          public SerializedBytes(byte[] bytes,
                                 boolean internalOnly)

      A type safe wrapper around a byte array that contains a serialised object. You can call SerializedBytes.deserialize to get the original object back.

  - ### Method Detail

    - #### getHash

          public SecureHash getHash()

    - #### writeToFile

          public java.nio.file.Path writeToFile(java.nio.file.Path path)

    - #### getInternalOnly

          public boolean getInternalOnly()